Class | XMLRPC::XMLParser::XMLTreeParser
In: | xmlrpc/parser.rb
Parent: | AbstractTreeParser

### Methods

new

### Public Class methods

new()

[Source]

    # File xmlrpc/parser.rb, line 620
          def initialize
            require "xmltreebuilder"

            # The new XMLParser library (0.6.2+) uses a slightly different DOM implementation.
            # The following code removes the differences between both versions.
            if defined? XML::DOM::Builder
              return if defined? XML::DOM::Node::DOCUMENT # code below has been already executed
              klass = XML::DOM::Node
              klass.const_set("DOCUMENT", klass::DOCUMENT_NODE)
              klass.const_set("TEXT", klass::TEXT_NODE)
              klass.const_set("COMMENT", klass::COMMENT_NODE)
              klass.const_set("ELEMENT", klass::ELEMENT_NODE)
            end
          end

[Validate]